Groups

Edits a Group post

PUT
/groups/{groupId}/posts/{notificationId}

Edits a Group post

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

notificationId*string

Must be a valid notification ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/posts/string" \  -H "Content-Type: application/json" \  -d '{    "sendNotification": false,    "text": "Come join us for the event!",    "title": "Event is starting soon!",    "visibility": "public"  }'
{
  "authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "createdAt": "2019-08-24T14:15:22Z",
  "editorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "id": "not_00000000-0000-0000-0000-000000000000",
  "imageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
  "imageUrl": "string",
  "roleId": [
    "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
  ],
  "text": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z",
  "visibility": "public"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "success": {
    "message": "Group Post was deleted!",
    "status_code": 200
  }
}